Epic Number Search
Introduction
This API is used to fetch frontside data of any Voter Id by using the Voter Id number as input.
How to call the API
You will need to login before sending search request. You are required to pass the access token received from the login call, as authorization header in the Voter ID search request along with Epic number.
API Input Guidelines
- Need to give Voter Id as input.
- State name is optional.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../voteridsearches' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"essentials": {
"epicNumber": "<Voter Id Number>",
"state": "<state Name>"
}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
content-type | Required | application/json |
essentials | Required | contains the input data |
essentials.epicNumber | Required | Put Epic Number as input |
essentials.state | Required | Put State name as input |
Sample Response
{
"essentials": {
"epicNumber": " ",
"state": "haryana"
},
"id": " ",
"patronId": " ",
"result": {
"name": " ",
"dob": "NA",
"district": "FARIDABAD",
"state": "HARYANA",
"fatherName": " ",
"gender": "Female"
}
}Response Parameter
Parameter Name | Description |
|---|---|
essentials | contains the input data |
essentials.epicNumber | Contains Epic Number of Voter Id |
essentials.state | Contains state name |
id | Contains unique Id |
patronId | Contains patronId |
result.name | Contains name of the identity holder |
result.dob | Contains date of birth of the identity holder |
result.district | Contains district name |
result.state | Contains state name |
result.fatherName | Contains father's name of the identity holder |
result.gender | Contains gender Info of the identity holder |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].